#
# spec file for package python-ruamel.ordereddict
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-ruamel.ordereddict
Version:        0.4.9
Release:        lp150.1.3
Summary:        Ordered dictionary
License:        MIT
Group:          Development/Languages/Python
Url:            https://bitbucket.org/ruamel/ordereddict
Source:         https://files.pythonhosted.org/packages/source/r/ruamel.ordereddict/ruamel.ordereddict-%{version}.tar.gz
Source1:        LICENSE
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  python-pytest
BuildRequires:  python-ruamel.base
BuildRequires:  python-setuptools
Requires:       python-ruamel.base
%if 0%{?suse_version} > 1320
Provides:       python2-ruamel.ordereddict = %{version}
%endif

%description
This is an implementation of an ordered dictionary with Key Insertion Order
(KIO: updates of values do not affect the position of the key), Key Value
Insertion Order (KVIO, an existing key’s position is removed and put at the
back). The standard library module OrderedDict, implemented later, implements
a subset of ordereddict functionality.

Sorted dictionaries are also provided. Currently only with Key Sorted Order
(KSO, no sorting function can be specified, but you can specify a transform to
apply on the key before comparison (e.g. string.lower)).

%prep
%setup -q -n ruamel.ordereddict-%{version}
rm -rf *egg-info
cp %{SOURCE1} .

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Cannot find the shared library even with the path set??
#%check
#export PYTHON_PATH=%{buildroot}%{python_sitearch}
#nosetests

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitearch}/*

%changelog
* Sat Apr 22 2017 aloisio@gmx.com
- Added python2- provides for singlespec packages
- Set source URL
* Tue Oct 11 2016 rjschwei@suse.com
- Initial build    (FATE#321630, bsc#1002895)
  + Include in SLES 12
  + Version 0.4.9
